.docker-publish:
  stage: publish
  image: docker:20.10.16
  tags:
    - docker
  before_script:
    - export DOCKER_PUBLISH_IMAGE_NAME="${DOCKER_PUBLISH_IMAGE_NAME:=${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}}"
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker push $DOCKER_PUBLISH_IMAGE_NAME
